summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Nishant Limbachia2010-04-24 11:06:31 +0200
committer Erik Hanson2010-05-15 10:50:25 +0200
commitbdf0c4ab734020a12712150c12714bd62d9edecc (patch)
treec42be290c2692828152f781be81fe285ab745898
parent0f6587ae025ba1e758434e5449a9f0057758f94a (diff)
downloadslackbuilds-bdf0c4ab734020a12712150c12714bd62d9edecc.tar.gz
system/mcrypt: Build bump, script cleanup.
-rw-r--r--system/mcrypt/README11
-rw-r--r--system/mcrypt/mcrypt.SlackBuild28
-rw-r--r--system/mcrypt/mcrypt.info4
-rw-r--r--system/mcrypt/slack-desc8
4 files changed, 21 insertions, 30 deletions
diff --git a/system/mcrypt/README b/system/mcrypt/README
index 52128e52ec..7040c70841 100644
--- a/system/mcrypt/README
+++ b/system/mcrypt/README
@@ -1,10 +1,5 @@
-MCrypt is a replacement for the old crypt package and crypt command with
-extensions. It allows developers to use a wide range of encryption functions
+mcrypt is a replacement for the old crypt package and crypt command with
+extensions. It allows developers to use a wide range of encryption functions
including encrypting files or data streams without having to be cryptographers.
-The companion to MCrypt is libmcrypt, which contains the actual encryption
-functions themselves and provides a standardized mechanism for accessing them.
-
-The mcrypt package is recommended if you are using phpmyadmin for database
-administration. To actually use mcrypt, you would have to recompile php with
-the following config switch: "--with-mcrypt=shared,/usr/bin"
+mcrypt is recommended if you are using phpmyadmin for database administration.
diff --git a/system/mcrypt/mcrypt.SlackBuild b/system/mcrypt/mcrypt.SlackBuild
index 0996cddbab..e9ab1b0863 100644
--- a/system/mcrypt/mcrypt.SlackBuild
+++ b/system/mcrypt/mcrypt.SlackBuild
@@ -1,18 +1,17 @@
#!/bin/sh
# Slackware Package Build Script for mcrypt
-
# Home Page http://mcrypt.sourceforge.net/
-#
-# Copyright (c) 2008-2009, Nishant Limbachia (nishant@mnspace.net)
+
+# Copyright (c) 2008-2010, Nishant Limbachia, Hoffman Estates, IL, USA (nishant _AT_ mnspace _DOT_ net)
# All rights reserved.
-#
-# Redistribution and use of this script, with or without modification, is
+
+# Redistribution and use of this script, with or without modification, is
# permitted provided that the following conditions are met:
#
-# 1. Redistributions of script must retain the above copyright notice,
+# 1. Redistributions of script must retain the above copyright notice,
# this list of conditions and the following disclaimer.
-#
+
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
@@ -28,7 +27,7 @@
PRGNAM=mcrypt
VERSION=2.6.8
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -66,8 +65,8 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
--sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--localstatedir=/var \
--mandir=/usr/man \
--infodir=/usr/info \
@@ -84,17 +83,14 @@ cp -a \
NEWS README TODO THANKS doc/sample.mcryptrc \
$PKG/usr/doc/$PRGNAM-$VERSION
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+### strip binaries
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
-)
+)
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
diff --git a/system/mcrypt/mcrypt.info b/system/mcrypt/mcrypt.info
index b5d19c9e16..a550513e2d 100644
--- a/system/mcrypt/mcrypt.info
+++ b/system/mcrypt/mcrypt.info
@@ -2,9 +2,9 @@ PRGNAM="mcrypt"
VERSION="2.6.8"
HOMEPAGE="http://mcrypt.sourceforge.net/"
DOWNLOAD="http://downloads.sourceforge.net/mcrypt/mcrypt-2.6.8.tar.gz"
-DOWNLOAD_x86_64=""
MD5SUM="97639f8821b10f80943fa17da302607e"
+DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Nishant Limbachia"
EMAIL="nishant@mnspace.net"
-APPROVED="rworkman"
+APPROVED="Erik Hanson"
diff --git a/system/mcrypt/slack-desc b/system/mcrypt/slack-desc
index e853716dd3..976061ab34 100644
--- a/system/mcrypt/slack-desc
+++ b/system/mcrypt/slack-desc
@@ -5,12 +5,12 @@
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
-mcrypt: mcrypt (simple encryption app)
+ |-----handy-ruler----------------------------------------------------|
+mcrypt: mcrypt (replacement for crypt)
mcrypt:
-mcrypt: Mcrypt is a simple encryption program, intended to be
+mcrypt: mcrypt is a simple encryption program, intended to be
mcrypt: a replacement for the old unix crypt.
-mcrypt:
+mcrypt:
mcrypt: Home Page http://mcrypt.sourceforge.net
mcrypt:
mcrypt: